package com.njcn.harmonic.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njcn.harmonic.pojo.po.RStatPollutionSubstationDPO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 
 * Description:
 * 接口文档访问地址：http://serverIP:port/swagger-ui.html
 * Date: 2022/11/8  13:28【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface RStatPollutionSubstationDPOMapper extends BaseMapper<RStatPollutionSubstationDPO> {
    int updateBatch(List<RStatPollutionSubstationDPO> list);

    int batchInsert(@Param("list") List<RStatPollutionSubstationDPO> list);

    int insertOrUpdate(RStatPollutionSubstationDPO record);

    int insertOrUpdateSelective(RStatPollutionSubstationDPO record);
}